Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229110 - gfortran -ff2c ... produces `internal compiler error'
Summary: gfortran -ff2c ... produces `internal compiler error'
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-17 08:50 UTC by Burgin M.S.
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.1.2-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-24 11:24:42 UTC


Attachments (Terms of Use)

Description Burgin M.S. 2007-02-17 08:50:12 UTC
Description of problem: 
gfortran -ff2c ... produces `internal compiler error'


Version-Release number of selected component (if applicable):
gfortran --version
GNU Fortran 95 (GCC) 4.1.1 20061011 (Red Hat 4.1.1-30)

How reproducible:
The console log follows.

FORTRAN>gfortran -c -ff2c gfortran_err_at_expr_3162.f
gfortran_err_at_expr_3162.f: In function 't':
gfortran_err_at_expr_3162.f:1: internal compiler error: in emit_move_insn, at
expr.c:3162
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.

FORTRAN>cat $_
      function t(x)
      t=x
      if(t .gt. 0) stop
      return
      end

FORTRAN>gfortran -c -ff2c gfortran_err_at_optabs_2932.f 
gfortran_err_at_optabs_2932.f: In function 'y':
gfortran_err_at_optabs_2932.f:4: internal compiler error: in expand_copysign, at
optabs.c:2932
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.

FORTRAN>cat $_
      real function y (x)
      real x
      y=1.0
      y = sign (y, x)
      end function y



Additional info:
The same error occurs on x86_64

Comment 1 Jakub Jelinek 2007-02-24 11:24:42 UTC
Fixed in 4.1.2-3 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.